app-setting {
    .d-flex {
        display: flex;
    }

    .bloc-content {
        width: 100%;
        justify-content: center;
    }

    .full-width {
        min-height: 50vh !important;
    }

    button.large-btn {
        width: 300px;
        height: 50px;
    }

    .bloc-edit {
        min-height: 40vh;
        width: 80%;
        border-radius: 20px;
        margin-top: 30px;
        padding: 50px;
        gap: 15px;
        background-color: rgb(225, 234, 241);

        &.large {
            min-height: 70vh;
        }

        .auto-list {
            min-height: 30vh;
        }

        .form-content {
            display: flex;
            gap: 10px;

            mat-form-field {
                min-width: 250px;
            }


        }

        .space-50 {
            min-height: 80%;
        }

        .btn-validate {
            align-items: center;
            justify-content: center;
            gap: 20px;

            button {
                min-width: 200px;
                height: 40px;
            }
        }

        .user-edit {
            /* border: 1px dashed; */
            margin: 30px auto;
            width: 40%;
            padding: 20px;

            p {
                text-align: justify;
                font-size: 12px;
            }
        }


    }

    .loading-bloc {
        margin: 0 auto;
        width: fit-content;
        top: 25vh;
        position: absolute;
    }

    table:not(.custom-table) {
        border-collapse: collapse;

        td,
        th {
            border: 1px solid;
            height: 50px;
            min-width: 150px;
            text-align: center;

            &.w-max {
                min-width: 200px;
            }
        }
    }

    .custom-table {
        width: 80%;
        margin: 40px auto;

        &.spacing {
            td {
                padding: 10px 10px;
            }
        }

        img {
            border: 4px solid rgb(45, 71, 110);
            border-radius: 15px;
        }
    }

    .upload-bloc {
        border: 1px dashed;
        padding: 20px;
        border-radius: 10px;
        gap: 20px;

        img {
            border: 4px solid rgb(45, 71, 110);
            border-radius: 15px;
        }
    }
}